{% extends 'base.html.twig' %}

{% block title %}Sondage créateur{% endblock %}

{% block body %}
    <section id="home">
        <button id="btnPause" class="btn btn-light mt-3 ml-3">Pause</button>
        <video id="myVideoPause" class="home-bg-video" src="{{ asset('asset/video/board.mp4') }}" autoplay loop muted></video>

        <div id="home-overlay">
            <div class="container">
                <div id="home-content">
                    <div id="home-content-inner" class="text-left">
                        <div id="home-heading">
                            <h1>Sondage <span>Créateur</span></h1>
                        </div>
                        <div id="home-text">
                            <p>
                                Créez votre sondage en quelques clics et partagez le lien sur un site ou des réseaux sociaux.
                            </p>
                        </div>
                        <div id="home-btn">
                            <a href="{{ path('app_login') }}" class="btn-general-1" role="button">Se connecter</a>
                            <a href="{{ path('app_register') }}" class="btn-general-2" role="button">s'enregistrer</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

{% endblock %}

{% block stylesheets %}
    <style>

        #home {
            background: none;
            height: 100%;
        }

        .home-bg-video {
            position: fixed;
            top:50%;
            left: 50%;
            transform: translateX(-50%) translateY(-50%);
            min-width: 100%;
            min-height: 100%;
            width: auto;
            height: auto;
            z-index: -1;
        }

        #home-overlay {
            background-color: rgba(0,0,0,0.4);
            width: 100%;
            height: 100%;
            position: fixed;
            top: 0;
            left: 0;
            z-index: -1;
        }

        #home-content {
            width: 100%;
            height: 100%;
            display: table;
            margin-top: 200px;
        }

        #home-content-inner {
            display: table-cell;
            vertical-align: middle;
        }

        #home-heading h1{
            color: white;
            font-size: 65px;
            font-weight: 700;
            text-transform: uppercase;
            margin: 0;
        }

        #home-heading h1 span {
            color: #f4c613;
            font-weight: 700;
        }

        #home-text p {
            color: white;
            font-size: 15px;
            font-weight: 100;
            margin: 8px 0 30px 0 ;
        }

        .btn-general-1 {
            border-radius: 28px;
            font-size: 13px;
            text-transform: uppercase;
            margin: 0 6px;
            padding: 12px 46px 12px 46px;
            transition: all 0.4s;
            background-color: #f4c613;
            color: white;
        }

        .btn-general-2 {
            border-radius: 28px;
            font-size: 13px;
            text-transform: uppercase;
            margin: 0 6px;
            padding: 12px 46px 12px 46px;
            transition: all 0.4s;
            background-color: white;
            color: #f4c613;
        }


    </style>
{% endblock %}

{% block javascripts %}
    <script>
        document.querySelector('video').playbackRate = 2.0; //video speed x2

        //video pause start
        myVideoPause = document.getElementById('myVideoPause');
        btnPause = document.getElementById('btnPause');

        btnPause.addEventListener('click', function () {
            if(myVideoPause.paused)
                myVideoPause.play();
            else
                myVideoPause.pause();
        });
        //video pause end
    </script>
{% endblock %}